Bug 656118 (CVE-2010-4198)

Summary: CVE-2010-4198 WebKit: Memory corruption due to improper handling of large text area
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, kevin, martin.sourada, mtasaka, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-07 07:05:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 640385, 640386, 667027    
Bug Blocks:    

Description Huzaifa S. Sidhpurwala 2010-11-23 04:33:15 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4198 to
the following vulnerability:

Name: CVE-2010-4198
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4198 [Open URL]
Assigned: 20101105
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=55257
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2010/11/stable-channel-update.html

Upstream Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=45611
Trac: http://trac.webkit.org/changeset/69801

Google Chrome before 7.0.517.44 does not properly handle large text
areas, which allows remote attackers to cause a denial of service
(memory corruption) or possibly have unspecified other impact via a
crafted HTML document.

Comment 2 Huzaifa S. Sidhpurwala 2011-01-04 05:14:32 UTC
This is fixed in webkitgtk 1.2.6

Comment 3 Huzaifa S. Sidhpurwala 2011-01-04 05:53:23 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 667027]

Comment 4 errata-xmlrpc 2011-01-25 17:07:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html